=== debian/changelog ===
quickshell (0.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1129032)

 -- Michael Lloyd <michael@micl.dev>  Fri, 27 Feb 2026 12:54:57 +1100
