=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DDISTRIBUTOR="Debian" \
		-DDISTRIBUTOR_DEBUGINFO_AVAILABLE=YES \
		-DCRASH_REPORTER=OFF \
		-DINSTALL_QML_PREFIX=lib/$(DEB_HOST_MULTIARCH)/qt6/qml

# Upstream test suite requires google-breakpad which is not packaged in Debian.
override_dh_auto_test:
