=== debian/watch ===
Version: 5

Source: https://git.outfoxxed.me/api/v1/repos/quickshell/quickshell/tags
Matching-Pattern: https://git.outfoxxed.me/quickshell/quickshell/archive/v@ANY_VERSION@@ARCHIVE_EXT@
Search-Mode: plain
Filename-Mangle: s%.*/v@ANY_VERSION@%@PACKAGE@-$1%
